(******************************************************************************
*
* error.ml: exceptions that can be raised.
*
* Giulio Manzonetto, Giulio Marcon, Anna Sperotto
* <{gmanzone,gmarcon,asperott}@dsi.unive.it>
*
* 
*******************************************************************************)

let sassert b s =
    try
        assert b
    with
        | Assert_failure ( f, r, c ) ->
            raise ( Assert_failure ( ( f ^ ": " ^ s ),  r,  c ) )