(******************************************************************************
*
* utils.ml : utilities
*
* Giulio Manzonetto, Giulio Marcon, Anna Sperotto
* <{gmanzone,gmarcon,asperott}@dsi.unive.it>
*
* 
*******************************************************************************)

module Utils = struct

    let marshal file data =
        let out = open_out_bin file in
        let _ = Marshal.to_channel out data [] in
        close_out out

    let unmarshal file =
        let input = open_in_bin file in
        let data = Marshal.from_channel input in 
        let _ = close_in input in
        data

    let temp_resource f open_res close_res =
        let res = open_res in
        let v = f res in
        let _ = close_res res in
        v

end